1. Bans
Tanggle!
  • Puzzles
    • Rooms
      • Create puzzle room
    • Gallery
      • Retrieve a list of gallery images
      • Retrieve a gallery image
  • Communities
    • Custom integration for communities
    • Members
      • Invites & Join Requests
        • [Community] Retrieve a list of community join requests or invites
        • [Community] Invite user to the community OR accept join request
        • [Community] Delete user community invite OR ignore join request
      • Retrieve community members
      • Update community member
      • Delete community member
    • Bans
      • Retrieve a list of community bans
        GET
      • Retrieve community ban
        GET
      • Ban user from a community
        PUT
      • Unban user from a community
        DELETE
      • Delete all community bans
        DELETE
      • Remove IP associations from all community bans
        DELETE
    • Queue
      • List queue items
      • Edit queue settings
      • Edit queue item
      • Remove item from the queue
      • Begin puzzle from the queue
      • Move queue item
      • Approve queue item
      • Disapprove queue item
    • Rooms
      • Retrieve a list of community rooms
      • Retrieve community room
      • Archive a community room
    • Images
      • Retrieve community images
      • Delete community image
    • Retrieve community
      GET
  • Schemas
    • common
      • ValueSlug
      • ValueAvatar
      • ValueURL
      • ValueLink
      • ValueAvatar
      • GenericPagination
      • ValueUsername
      • ValueEmail
      • ValueLogin
      • ValueTrue
      • ValueFalse
      • ValuePassword
      • ValueCosmetics
      • ValueConnectionPreview
      • ValueLocalizedString
      • ValueColor
    • enums
      • AnyTier
      • AnyLevel
      • AnyNetwork
      • AnyLocale
      • AnyCommunityRole
      • AnyCommunityIntegration
      • AnyLicense
      • AnyTurnstile
      • AnyCosmetic
      • AnyRoomJoinError
      • AnyRarity
    • enitites
      • community
        • websocket
          • CWS_QueueItemAppend
          • CWS_QueueItemUpdate
          • CWS_QueueItemApprove
          • CWS_QueueItemDelete
          • CWS_QueuePositionsUpdate
          • CWS_RoomCreated
          • CWS_RoomCompleted
        • Community
        • CommunityMessage
        • CommunityMessages
        • BaseCommunityIntegration
        • CommunityBan
        • CommunityMember
        • CommunityMemberConnection
        • CommunityIntegrations
        • CommunityQueue
        • CommunityQueueItem
        • CommunityPermission
        • CommunityPermissions
        • CommunityMembership
        • CommunityMessageUpdateBase
      • puzzles
        • payload
          • _PayloadBase
          • _PayloadPrivateBase
          • _Component
          • _ComponentMaybeTeam
          • PayloadPublic
          • PayloadPrivate
          • PayloadCommunity
          • PayloadQueueMember
          • PayloadQueueModerator
          • PayloadQueueEdit
          • AnyPayload
        • PuzzleImage
        • PuzzleImageCrop
        • PuzzleSource
        • PuzzleCreator
        • PuzzleComponent
        • PuzzleRoom
        • PuzzleParticipant
        • PuzzleCreatorConsole
      • user
        • User
        • UserBlock
        • UserFriendship
        • UserFriendshipRequest
        • ActiveUserSession
      • category
        • SharedCategoryTag
        • SharedCategoryTree
        • CategoryTag
        • CategoryTree
        • InternalCategoryTag
        • InternalCategoryTree
      • account
        • Account
        • AccountConnection
        • AccountRoles
        • AnyStaffLevel
      • cosmetics
        • cursor
          • Cursor
          • CursorFrame
        • CosmeticName
        • BaseCosmetic
      • subscription
        • Subscription
        • SubscriptionGift
      • Session
      • Invitation
    • TEST
  1. Bans

Retrieve community ban

Developing
GET
/communities/{community}/bans/{user}
Can be accessed only by moderators and temporary moderators

Request

Path Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/communities//bans/'

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{
    "success": true,
    "ban": {
        "user": {
            "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
            "objectType": "user",
            "username": "FunnyKitten",
            "slug": "funny-dog",
            "tier": "GUEST",
            "cursor": 0,
            "legacyAvatar": "https://tanggle.io",
            "isSuperuser": true
        },
        "connections": {
            "twitch": {
                "id": "string",
                "username": "string"
            },
            "discord": {
                "id": "string",
                "username": "string"
            },
            "ip": true
        },
        "message": "string",
        "createdBy": {
            "objectType": "community_member",
            "user": {
                "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
                "objectType": "user",
                "username": "FunnyKitten",
                "slug": "funny-dog",
                "tier": "GUEST",
                "cursor": 0,
                "legacyAvatar": "https://tanggle.io",
                "isSuperuser": true
            },
            "role": "member",
            "roleManagement": "manual",
            "connections": {
                "twitch": {
                    "id": "string",
                    "username": "string"
                },
                "discord": {
                    "id": "string",
                    "username": "string"
                }
            },
            "createdAt": "2019-08-24T14:15:22.123Z"
        },
        "createdAt": "2019-08-24T14:15:22.123Z"
    }
}
Modified at 2025-03-14 07:25:33
Previous
Retrieve a list of community bans
Next
Ban user from a community
Built with